> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取短剧视频列表

> 获取短剧视频列表
- 该接口返回短剧中的所有视频列表
- 响应中的 aweme_list 包含短剧的各集视频信息
- has_more 字段表示是否还有更多数据

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">1 credit</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">每次请求</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 让 AI 帮你写调用代码</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">点击按钮复制一段结构化提示词，可直接交给 ChatGPT、Claude 或其他 AI 助手生成接口调用代码。</p>
  </div>

  <div className="mt-4">
    <button
      type="button"
      className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50"
      onClick={() => navigator.clipboard.writeText(`我需要调用以下 KeyAPI 接口，请根据提供的接口信息生成一份可直接运行的 Python 示例代码。

## 接口信息

Endpoint: GET https://api.keyapi.ai/v1/douyin/app/fetch_series_video_list
Summary: 获取短剧视频列表

Required Headers:
- Authorization: Bearer <YOUR_API_KEY>

Parameters:
- series_id (Required): 短剧id. Example: 7675990083089991686
- cursor (Optional): 翻页游标，默认为0，从上一次响应中的cursor获取，第一页为0. Example: 0


## 代码要求

- 使用 Python \`requests\` 库
- 提供完整、可直接运行的示例
- 处理 HTTP 请求异常、超时以及非 2xx 响应
- 处理 JSON 解析异常
- 示例参数优先使用接口信息中提供的 Example
- 保持代码简洁，避免不必要的封装和复杂设计
`)}
    >
      ✨ 复制给 AI
    </button>
  </div>
</div>


## OpenAPI

````yaml zh/douyin-app.zh.openapi.json GET /v1/douyin/app/fetch_series_video_list
openapi: 3.0.1
info:
  title: Douyin App API 中文文档
  description: Douyin App API 的中文参考文档。
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security:
  - JWT Bearer: []
tags: []
paths:
  /v1/douyin/app/fetch_series_video_list:
    get:
      tags: []
      summary: 获取短剧视频列表
      description: |-
        获取短剧视频列表
        - 该接口返回短剧中的所有视频列表
        - 响应中的 aweme_list 包含短剧的各集视频信息
        - has_more 字段表示是否还有更多数据
      parameters:
        - name: series_id
          in: query
          description: 短剧id
          required: true
          example: '7675990083089991686'
          schema:
            type: string
            example: '7675990083089991686'
        - name: cursor
          in: query
          description: 翻页游标，默认为0，从上一次响应中的cursor获取，第一页为0
          required: false
          example: 0
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: 请求成功
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  aweme_list: null
                  max_cursor: 15
                  min_cursor: 0
                  has_more: 1
                  status_code: 0
                  status_msg: ''
                  related_item_tag: -1
                  fail_reason: status_self_see-video_scheduled_publish
                  item_filter_reasons: >-
                    {"7675990059971022095":"status_self_see\&video_scheduled_publish","7675990084964896000":"status_self_see\&video_scheduled_publish","7675990114387971378":"status_self_see\&video_scheduled_publish","7675990144268127497":"status_self_see\&video_scheduled_publish","7675990160512732443":"status_self_see\&video_scheduled_publish","7675990186269887771":"status_self_see\&video_scheduled_publish","7675990206906682659":"status_self_see\&video_scheduled_publish","7675990221154028835":"status_self_see\&video_scheduled_publish","7675990254263799055":"status_self_see\&video_scheduled_publish","7675990278574001471":"status_self_see\&video_scheduled_publish","7675990304398314771":"status_self_see\&video_scheduled_publish","7675990322823925055":"status_self_see\&video_scheduled_publish","7675990353710681380":"status_self_see\&video_scheduled_publish","7675990375626018054":"status_self_see\&video_scheduled_publish","7675990393787403561":"status_self_see\&video_scheduled_publish"}
                  watch_histories: null
                  extra:
                    fatal_item_ids: []
                    logid: 20260820154524ADDAF409AD9F7401E57C
                    now: 1787211925000
                  log_pb:
                    impr_id: 20260820154524ADDAF409AD9F7401E57C
                requestId: 2c59c78f-a0fc-4adc-8201-d801a05b8412
          headers: {}
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '402':
          $ref: '#/components/responses/402'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/douyin/app/fetch_series_video_list?series_id=7675990083089991686&cursor=0' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/douyin/app/fetch_series_video_list',
                params={"series_id": "7675990083089991686", "cursor": 0},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"series_id":
            "7675990083089991686", "cursor": 0});


            const response = await
            fetch(`https://api.keyapi.ai/v1/douyin/app/fetch_series_video_list?${params}`,
            {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            example:
              code: 400
              data: null
              message: 'Missing required parameter: handle'
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            example:
              code: 401
              data: null
              message: apiKey is null
    '402':
      description: Payment Required
      content:
        application/json:
          schema:
            type: object
            example:
              code: 402
              data: null
              message: apiKey quota is not enough
    '429':
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            example:
              code: 429
              data: null
              message: qps limit exceeded
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            example:
              code: 500
              data: null
              message: Internal server error
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        接口鉴权凭证。请在请求 Header 中传入 `Authorization: Bearer <YOUR_API_KEY>`。
        可在 [Dashboard](https://keyapi.ai/app/dashboard) 获取你的 API Key。

````